GNU bug report logs - #34056
[PATCH] core-updates -- gnu: python2: Fix test flags.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: ericbavier@HIDDEN; Keywords: patch; dated Sun, 13 Jan 2019 07:20:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 34056 <at> debbugs.gnu.org:


Received: (at 34056) by debbugs.gnu.org; 22 Jan 2019 01:16:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 20:16:52 2019
Received: from localhost ([127.0.0.1]:40679 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glkgN-00016A-I2
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 20:16:52 -0500
Received: from mail.onyx.syn-alias.com ([206.152.134.66]:37303
 helo=smtp.centurylink.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ericbavier@HIDDEN>) id 1glkgJ-0000xg-Dd
 for 34056 <at> debbugs.gnu.org; Mon, 21 Jan 2019 20:16:48 -0500
DKIM-Signature: v=1; a=rsa-sha1; d=centurylink.net; s=ctl201402;
 c=relaxed/simple; q=dns/txt; i=@centurylink.net; t=1548119801;
 h=From:Subject:Date:To:MIME-Version:Content-Type;
 bh=WYxPHk6wN/HQvExGDaeDcq9Glvk=;
 b=31B/ALas5Sv5ercbwOyGhgxB59OT2loRL/BbCpLL0RXPjEap3cLRHo75KVI+5f5C
 JD2NeLH/2/yaBGG76rbcDKqYyEc5PGYk5UeAPoC7zbXeF5ZQecoEpf1WgodMn3Fb
 TuMI6YSv4bIeAHmQOn81EQrb+4vp86KcZiP9NuS1L0dJZkI2gqGRqJMsoW1e7a1k
 Wba8D/9DNhAStuSYMA6slnA0wqXkT3yyZOwJ9UidgbF9uaFG1XlSfBNYoVk0iuvV
 h6ScNpCp3eKf+f0HUcd6iteiSV1hs2jMGhQM2FNZnRmuMBbs7Slk+1t2lRUYyxIv
 vFsnHwssW/OA2dJb+fiKLA==;
X_CMAE_Category: , ,
X-CNFS-Analysis: v=2.3 cv=NKurBHyg c=1 sm=1 tr=0
 a=c4ELDkRixJ9967ke8+/osA==:117 a=c4ELDkRixJ9967ke8+/osA==:17
 a=KGjhK52YXX0A:10 a=3JhidrIBZZsA:10 a=zSv6zi-ZgakA:10 a=6p5tJGysAAAA:8
 a=I_5RNyk1AAAA:8 a=inoG4m36AAAA:8 a=oFFI6fC7l7UtvqloTSIA:9 a=CjuIK1q_8ugA:10
 a=MLzm2uDc4GcA:10 a=2S8z8lE6dUt8LAT8GNAA:9 a=_0FUqLgETZhrmoPQVCW9:22
 a=Eh9yxdLE6B1twWrs3SXz:22 a=_Qgj-RFg6mImvLaOgLPg:22
X-CM-Score: 0
X-Scanned-by: Cloudmark Authority Engine
X-Authed-Username: ZXJpY2JhdmllckBjZW50dXJ5bGluay5uZXQ=
Authentication-Results: smtp04.onyx.dfw.sync.lan
 smtp.user=ericbavier@HIDDEN; auth=pass (LOGIN)
Received: from [97.116.99.100] ([97.116.99.100:57822] helo=localhost)
 by smtp.centurylink.net (envelope-from <ericbavier@HIDDEN>)
 (ecelerity 3.6.25.56547 r(Core:3.6.25.0)) with ESMTPSA
 (cipher=AES256-GCM-SHA384) 
 id 78/66-24912-9FE664C5; Mon, 21 Jan 2019 20:16:41 -0500
Date: Mon, 21 Jan 2019 19:16:22 -0600
From: Eric Bavier <ericbavier@HIDDEN>
To: Christopher Baines <mail@HIDDEN>
Subject: Re: [bug#34056] [PATCH] core-updates -- gnu: python2: Fix test flags.
Message-ID: <20190121191622.428b0932@HIDDEN>
In-Reply-To: <87imyhj08h.fsf@HIDDEN>
References: <20190113071850.14337-1-ericbavier@HIDDEN>
 <8736pwjhes.fsf@HIDDEN>
 <20190113204242.55461ef2@HIDDEN>
 <87imyhj08h.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 boundary="Sig_/vnk7X9LatTJtztm5qbhzB.u"; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34056
Cc: 34056 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--Sig_/vnk7X9LatTJtztm5qbhzB.u
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

On Mon, 21 Jan 2019 19:10:06 +0000
Christopher Baines <mail@HIDDEN> wrote:

> Eric Bavier <ericbavier@HIDDEN> writes:
>=20
> > On Sun, 13 Jan 2019 22:56:27 +0000
> > Christopher Baines <mail@HIDDEN> wrote:
> > =20
> >> ericbavier@HIDDEN writes:
> >> =20
> >> > From: Eric Bavier <bavier@HIDDEN>
> >> >
> >> > * gnu/packages/python.scm (python-2.7)[arguments]: 'EXTRATESTOPTS' ->
> >> > 'TESTOPTS'.  This overrides the default '-l' argument for memory lea=
k checks
> >> > which is not compatible with the -j for parallelism.
> >> > ---
> >> >  gnu/packages/python.scm | 2 +-
> >> >  1 file changed, 1 insertion(+), 1 deletion(-)
> >> >
> >> > diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
> >> > index 9b43f465cc..dffded738d 100644
> >> > --- a/gnu/packages/python.scm
> >> > +++ b/gnu/packages/python.scm
> >> > @@ -194,7 +194,7 @@
> >> >                              (assoc-ref %outputs "out") "/lib"))
> >> >         ;; With no -j argument tests use all available cpus, so prov=
ide one.
> >> >         #:make-flags
> >> > -       (list (format #f "EXTRATESTOPTS=3D-j~d" (parallel-job-count)=
))
> >> > +       (list (format #f "TESTOPTS=3D-j~d" (parallel-job-count)))
> >> >
> >> >          #:modules ((ice-9 ftw) (ice-9 match)
> >> >                     (guix build utils) (guix build gnu-build-system)=
) =20
> >>
> >> Hey Eric,
> >>
> >> I've also been looking at some Python 2 things on core-updates today,
> >> trying to get the linkchecker package building again.
> >>
> >> I've just pushed a slightly different patch, but to this effect to
> >> core-updates, and only just seen this message, sorry about that. =20
> >
> > Not a problem.
> > =20
> >> Thanks for looking at it though, this approach is probably neater, as I
> >> used substitute* instead. =20
> >
> > Would you like to keep your patch, or apply this one instead? =20
>=20
> I'm quite happy to switch to this approach. I don't know whether the
> best way to do that is to switch out the patches by force-pushing to
> core-updates, or to just apply your patch on top though...

I can just adjust my patch.  I think we don't want to force-push since
there are people working on it.

Thanks for your attention to core-updates :)

`~Eric

--Sig_/vnk7X9LatTJtztm5qbhzB.u
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEoMXjUi7471xkzbfw/XPKxxnTJWYFAlxGbuYACgkQ/XPKxxnT
JWY8pA/+KQ+z3Ny5UglwQvS5+Wel8cT0nacDyFDlXuDq4FaxnpkJLGvqRIG7mKJz
xhQnEbM+nbHTSvp2cFP1qMAvnM9RFBAr50t1CGeIebHNLy8V8yudPhhf2OTqxUnD
6MHMh2rtBquNJbdPAYmRgPtFMEJTeQyWf5JoJGQ/61jRs2V4pb6IXc2b1MEdZnkd
2eR6PgL9CILRGkdH2eqf8Lcrz7V1EgqkpjX+wm74dAqi/w6MugziYPQTnlpjo6y5
Lg/rVNlrTfPEfiiD0YL+jQo9vQljuLAbH3InXH6I6XqyUcxlq8KS4ny/NNKMfq1Y
g2PTjoAdyVEfs+C5eGMl7Xc0IlrYkdVVw7Dmdybt7tOyZXJJwLWHkdQnfNqyEcoa
6j+CY1cOCx2ffopMFYqOwD2rwK93a8aYO8dCKAtWsCVowxzY9B80PnFpahQTsJaP
xNM7yRfA+OeuEuAIaPsiG/4n7cw1GFG1j+eOcbykC0kBqoSRRi+v8LgTYqKXZ40l
uW13IyUt8o5+0UcYq0nG6kfp6JsNbMGSs9/OzA7mZntsoEm3jiP6BNHG4kE6VPgS
C6V1KEja29rkzOuVkT+Qj5bmvIe3PaxlMd1bgnDDZPVuVYSL/OXp9KSpUOeEBmXy
X6Mgb5s/DvpV9gn1N7d2AYAzZarPVINHr1HMO7+Kxe9MtYsHFLc=
=8cc/
-----END PGP SIGNATURE-----

--Sig_/vnk7X9LatTJtztm5qbhzB.u--




Information forwarded to guix-patches@HIDDEN:
bug#34056; Package guix-patches. Full text available.

Message received at 34056 <at> debbugs.gnu.org:


Received: (at 34056) by debbugs.gnu.org; 21 Jan 2019 19:10:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 14:10:12 2019
Received: from localhost ([127.0.0.1]:40481 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glexY-0005dB-1f
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 14:10:12 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:53108
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1glexW-0005d0-JX
 for 34056 <at> debbugs.gnu.org; Mon, 21 Jan 2019 14:10:11 -0500
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id B042116A4B;
 Mon, 21 Jan 2019 19:10:09 +0000 (GMT)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id df0e5ac0;
 Mon, 21 Jan 2019 19:10:09 +0000 (UTC)
References: <20190113071850.14337-1-ericbavier@HIDDEN>
 <8736pwjhes.fsf@HIDDEN> <20190113204242.55461ef2@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Christopher Baines <mail@HIDDEN>
To: Eric Bavier <ericbavier@HIDDEN>
Subject: Re: [bug#34056] [PATCH] core-updates -- gnu: python2: Fix test flags.
In-reply-to: <20190113204242.55461ef2@HIDDEN>
Date: Mon, 21 Jan 2019 19:10:06 +0000
Message-ID: <87imyhj08h.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34056
Cc: 34056 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Eric Bavier <ericbavier@HIDDEN> writes:

> On Sun, 13 Jan 2019 22:56:27 +0000
> Christopher Baines <mail@HIDDEN> wrote:
>
>> ericbavier@HIDDEN writes:
>>
>> > From: Eric Bavier <bavier@HIDDEN>
>> >
>> > * gnu/packages/python.scm (python-2.7)[arguments]: 'EXTRATESTOPTS' ->
>> > 'TESTOPTS'.  This overrides the default '-l' argument for memory leak checks
>> > which is not compatible with the -j for parallelism.
>> > ---
>> >  gnu/packages/python.scm | 2 +-
>> >  1 file changed, 1 insertion(+), 1 deletion(-)
>> >
>> > diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
>> > index 9b43f465cc..dffded738d 100644
>> > --- a/gnu/packages/python.scm
>> > +++ b/gnu/packages/python.scm
>> > @@ -194,7 +194,7 @@
>> >                              (assoc-ref %outputs "out") "/lib"))
>> >         ;; With no -j argument tests use all available cpus, so provide one.
>> >         #:make-flags
>> > -       (list (format #f "EXTRATESTOPTS=-j~d" (parallel-job-count)))
>> > +       (list (format #f "TESTOPTS=-j~d" (parallel-job-count)))
>> >
>> >          #:modules ((ice-9 ftw) (ice-9 match)
>> >                     (guix build utils) (guix build gnu-build-system))
>>
>> Hey Eric,
>>
>> I've also been looking at some Python 2 things on core-updates today,
>> trying to get the linkchecker package building again.
>>
>> I've just pushed a slightly different patch, but to this effect to
>> core-updates, and only just seen this message, sorry about that.
>
> Not a problem.
>
>> Thanks for looking at it though, this approach is probably neater, as I
>> used substitute* instead.
>
> Would you like to keep your patch, or apply this one instead?

I'm quite happy to switch to this approach. I don't know whether the
best way to do that is to switch out the patches by force-pushing to
core-updates, or to just apply your patch on top though...

Thanks,

Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAlxGGQ9fFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9XfXUBAAi1pJXn8YsUImq5oC96kGHxqSeAqhTJ35zCno3pUhCnqf85rNhakCVrrr
+msmIo5tvi5y/CtTKeVhH6KAtcXKBBEVzH8B/P08D7OuuqIazqE8EMEpWtWAM41p
569ADdDxUC1Eu8GOiqrCFnHVzKZ8pXx5fp3TXyh5IG2R2xczPM25j+1hQ8cJ5SAu
gSyQF56qMCVSs8nxO0VpbvVv6WgKywMuoS7yYW+TETXS4p7Qalb23OxPM1VfyV/n
uBm1RoBhDj3AtsNh0YXee1Gg22XiKuGpeBYDT40WvburR/pxxhRWeT9eOIzYQjAt
/WfdnBn/2j6F4cndMBy1pxTVC+gkYZEsSCYWpwn2hVSR3zyzYkSj+rP/w7kc+BlG
h8sfSKueHvlqF1vZGrntzBIYwoYMgw+b7BwDFtIHSoegTolE0ZJAz6Eq/ipGiXaf
50/H4rikXZ4dSWjoKg6CsyCWScmsYymfljh61X87p2LOx/QetcaMt0Ln+rkvAKoH
naFO3x6WTFVr2vcO3DuhkCp4zQ151oI0U1qB1WkwISMtn3+IAcNtem/BSXd63fbI
I7NPiBpxVur6d5mEu/5N49H7ZhswYVjYvTamdy3EmZGdI/Z+DMsoOauszDxrHPX5
pJksQ3UxDoPMc3v/64M6Fl8ek+Myw0eHSI5vWNL0PkZFPfa45Nc=
=2LFR
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#34056; Package guix-patches. Full text available.

Message received at 34056 <at> debbugs.gnu.org:


Received: (at 34056) by debbugs.gnu.org; 14 Jan 2019 02:42:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 13 21:42:54 2019
Received: from localhost ([127.0.0.1]:58219 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gisDG-0006fk-3S
	for submit <at> debbugs.gnu.org; Sun, 13 Jan 2019 21:42:54 -0500
Received: from mail.onyx.syn-alias.com ([206.152.134.66]:58239
 helo=smtp.centurylink.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ericbavier@HIDDEN>) id 1gisDE-0006fW-0P
 for 34056 <at> debbugs.gnu.org; Sun, 13 Jan 2019 21:42:52 -0500
DKIM-Signature: v=1; a=rsa-sha1; d=centurylink.net; s=ctl201402;
 c=relaxed/simple; q=dns/txt; i=@centurylink.net; t=1547433766;
 h=From:Subject:Date:To:MIME-Version:Content-Type;
 bh=bGoS/+8sf6vyOMBkImksWKSQ6Lo=;
 b=wuzR8DSlREp+tQPSGJDbnj8Gl0y+97bdbbA4nSHeA3H9SE+t0r5qSI3r9qQV7soM
 XkCydANE3loF8I9IIxaKNOJ0/KuAZr5aG439t/2x37DwzM3H23bGzrTs0EBfzaoX
 hMcXAfQJlfMYElaaHtUJlr775wi8Ib1C/94+Jnbut8rymvk+mMJV2uGtE/5OpI3H
 pcWhfbgxqDuM0c+HcDJJkO3lAycOIvj7a/+hOE1r1haKDkcaqKx2Yr18DI+y9OaH
 CnZgH+RNfw3zhEVGhyGyzXFToL6bDgrR/a2OF5Xi5OSbeJ8h0Pa+BdaXWiGThruK
 MhOVvc3+T24S+0L+vU0K4w==;
X_CMAE_Category: , ,
X-CNFS-Analysis: v=2.3 cv=fMFHIqSe c=1 sm=1 tr=0
 a=SYCIrikDCkrhM095wVsMtQ==:117 a=SYCIrikDCkrhM095wVsMtQ==:17
 a=KGjhK52YXX0A:10 a=3JhidrIBZZsA:10 a=zSv6zi-ZgakA:10 a=6p5tJGysAAAA:8
 a=I_5RNyk1AAAA:8 a=inoG4m36AAAA:8 a=c9o53HtUpwrWpyLh3wUA:9 a=CjuIK1q_8ugA:10
 a=MLzm2uDc4GcA:10 a=-alzNqDEdypnbj6jfQwA:9 a=_0FUqLgETZhrmoPQVCW9:22
 a=Eh9yxdLE6B1twWrs3SXz:22 a=_Qgj-RFg6mImvLaOgLPg:22
X-CM-Score: 0
X-Scanned-by: Cloudmark Authority Engine
X-Authed-Username: ZXJpY2JhdmllckBjZW50dXJ5bGluay5uZXQ=
Authentication-Results: smtp01.onyx.dfw.sync.lan
 smtp.user=ericbavier@HIDDEN; auth=pass (LOGIN)
Received: from [97.116.111.197] ([97.116.111.197:57478] helo=localhost)
 by smtp.centurylink.net (envelope-from <ericbavier@HIDDEN>)
 (ecelerity 3.6.25.56547 r(Core:3.6.25.0)) with ESMTPSA
 (cipher=AES256-GCM-SHA384) 
 id 72/24-01164-527FB3C5; Sun, 13 Jan 2019 21:42:45 -0500
Date: Sun, 13 Jan 2019 20:42:42 -0600
From: Eric Bavier <ericbavier@HIDDEN>
To: Christopher Baines <mail@HIDDEN>
Subject: Re: [bug#34056] [PATCH] core-updates -- gnu: python2: Fix test flags.
Message-ID: <20190113204242.55461ef2@HIDDEN>
In-Reply-To: <8736pwjhes.fsf@HIDDEN>
References: <20190113071850.14337-1-ericbavier@HIDDEN>
 <8736pwjhes.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 boundary="Sig_/Av0YjxDHFsE9ALHZp5FYlXs"; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34056
Cc: 34056 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--Sig_/Av0YjxDHFsE9ALHZp5FYlXs
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

On Sun, 13 Jan 2019 22:56:27 +0000
Christopher Baines <mail@HIDDEN> wrote:

> ericbavier@HIDDEN writes:
>=20
> > From: Eric Bavier <bavier@HIDDEN>
> >
> > * gnu/packages/python.scm (python-2.7)[arguments]: 'EXTRATESTOPTS' ->
> > 'TESTOPTS'.  This overrides the default '-l' argument for memory leak c=
hecks
> > which is not compatible with the -j for parallelism.
> > ---
> >  gnu/packages/python.scm | 2 +-
> >  1 file changed, 1 insertion(+), 1 deletion(-)
> >
> > diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
> > index 9b43f465cc..dffded738d 100644
> > --- a/gnu/packages/python.scm
> > +++ b/gnu/packages/python.scm
> > @@ -194,7 +194,7 @@
> >                              (assoc-ref %outputs "out") "/lib"))
> >         ;; With no -j argument tests use all available cpus, so provide=
 one.
> >         #:make-flags
> > -       (list (format #f "EXTRATESTOPTS=3D-j~d" (parallel-job-count)))
> > +       (list (format #f "TESTOPTS=3D-j~d" (parallel-job-count)))
> >
> >          #:modules ((ice-9 ftw) (ice-9 match)
> >                     (guix build utils) (guix build gnu-build-system)) =
=20
>=20
> Hey Eric,
>=20
> I've also been looking at some Python 2 things on core-updates today,
> trying to get the linkchecker package building again.
>=20
> I've just pushed a slightly different patch, but to this effect to
> core-updates, and only just seen this message, sorry about that.

Not a problem.

>=20
> Thanks for looking at it though, this approach is probably neater, as I
> used substitute* instead.
>=20

Would you like to keep your patch, or apply this one instead?

`~Eric

--Sig_/Av0YjxDHFsE9ALHZp5FYlXs
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEoMXjUi7471xkzbfw/XPKxxnTJWYFAlw79yIACgkQ/XPKxxnT
JWal3Q//XFkdB6e10XHnOLxLe8itSBOZM1AY6FbPaD52gphtVXpDkpSrK1CS4TyC
lB+uaIemr5vGS9MZUgwd1jroYt0kVKvaW1LncUqSo+AQxd3UX4xz7iMAzcChyUAU
D/vaiR3uT8aeUsrBzz2q282TyCqH5FtabDanQuK90CD5Jl8SeyWCvD/L1Xb6PjGS
M6gvvM/6JLeUA2rKl7vvQGnf/jkUuaGKOQy/DwC8kRYli7jCRaLPi1g/xLT3+u42
7uFR4Q6FbmOMI+GWVYLlFcEpp+L7kWhsyXSt/DFJzhU3v03EA4HKzMPopdrRWjRU
9nKf7aQ797gIGDs5rNzviGgDwU0G65mK25wwoEtXlOSQOkrLVWfMx2N46BZHgFDS
38WWQt5UG3xaAceNYbnQtbYghEYSQlc4Wy3w1NGtq2jHODuVdorAc9b4TNsPnThn
/FNoTwMt3LYM05Z5cTW9iuVMO4RtDd26LmJvu2mGplOE8vYiVMHQNzlorz0t6MT4
Mmelxddts986mFlz19WisLYK0LK+R1xmoeXVHodNlJj28qW7XgOg04+g+5UCR6L6
qzrnpGRsF0fNG9EV7yS3exlZProWC9it3yIQvvoPVpjSqq0W4s2elqm5syF4O2Hh
FRdaI9/1y1JW+h2e/t8DO6PVkv7XRVXQMuVNy7X58O0TUCJ1iOE=
=vPAp
-----END PGP SIGNATURE-----

--Sig_/Av0YjxDHFsE9ALHZp5FYlXs--




Information forwarded to guix-patches@HIDDEN:
bug#34056; Package guix-patches. Full text available.

Message received at 34056 <at> debbugs.gnu.org:


Received: (at 34056) by debbugs.gnu.org; 13 Jan 2019 22:56:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 13 17:56:34 2019
Received: from localhost ([127.0.0.1]:58175 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1giogE-0001Vb-8v
	for submit <at> debbugs.gnu.org; Sun, 13 Jan 2019 17:56:34 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:46454
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1giogB-0001VS-8r
 for 34056 <at> debbugs.gnu.org; Sun, 13 Jan 2019 17:56:32 -0500
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id D893216A36;
 Sun, 13 Jan 2019 22:56:29 +0000 (GMT)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 62888842;
 Sun, 13 Jan 2019 22:56:29 +0000 (UTC)
References: <20190113071850.14337-1-ericbavier@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Christopher Baines <mail@HIDDEN>
To: ericbavier@HIDDEN
Subject: Re: [bug#34056] [PATCH] core-updates -- gnu: python2: Fix test flags.
In-reply-to: <20190113071850.14337-1-ericbavier@HIDDEN>
Date: Sun, 13 Jan 2019 22:56:27 +0000
Message-ID: <8736pwjhes.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34056
Cc: 34056 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


ericbavier@HIDDEN writes:

> From: Eric Bavier <bavier@HIDDEN>
>
> * gnu/packages/python.scm (python-2.7)[arguments]: 'EXTRATESTOPTS' ->
> 'TESTOPTS'.  This overrides the default '-l' argument for memory leak checks
> which is not compatible with the -j for parallelism.
> ---
>  gnu/packages/python.scm | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
> index 9b43f465cc..dffded738d 100644
> --- a/gnu/packages/python.scm
> +++ b/gnu/packages/python.scm
> @@ -194,7 +194,7 @@
>                              (assoc-ref %outputs "out") "/lib"))
>         ;; With no -j argument tests use all available cpus, so provide one.
>         #:make-flags
> -       (list (format #f "EXTRATESTOPTS=-j~d" (parallel-job-count)))
> +       (list (format #f "TESTOPTS=-j~d" (parallel-job-count)))
>
>          #:modules ((ice-9 ftw) (ice-9 match)
>                     (guix build utils) (guix build gnu-build-system))

Hey Eric,

I've also been looking at some Python 2 things on core-updates today,
trying to get the linkchecker package building again.

I've just pushed a slightly different patch, but to this effect to
core-updates, and only just seen this message, sorry about that.

Thanks for looking at it though, this approach is probably neater, as I
used substitute* instead.

Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAlw7whtfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9XdZdRAAlZYtgZqkOY1Mla83DlAYANxJrPjKgszdz9iTmNoA3Acs7QRGfRdaV975
ODyxoHx/eP7wEdK6d5ueOkkgOyOYlt4t3G5uUHw6BZtLJcPsfBKJfpMTk4NcL5Dt
7gp5gbNprHuwb7Djjk5Ew/7luMeLaZwkLZIZtNjdesoVWbKdRNrE5aiTvobvvhVA
6u1FKur4F6PKI3vhiashZKvGYemyKj91JkGwU5tWLlkfKz0P9Vd2DxkYzO5GcRv/
B4AOCGeGAmI+IlfjrEQuXIQjkxsWfVSTP2WDwRKX3EUGhben+YuxnKJrXxTUe1VW
HzuNQZRp4qF1xM7E9324oWeACVZGLB0Q0lgV7s+6LWHFKQ5I3MaBHbvTIaApz94Y
klVojzzU8OS+PFMz9fj0GCas+wpiaIXDwiKFiRy7twjTUITqnKWDj7gRFGCxeiAD
CUEeoBO4iykLbpYYwC/tRCS09cfDeFJHm1MsRYdxr3TNUHLjWNLX15Kte6zlrnsS
eiC4sNwvh3ZYAtFoE4VDmhK54J9Di+ChjvGdCd89KVK/REBVRMuArqiCz72PuDPa
Ijdy3zwijL0sIrPtxDy6r38tERrA6HtmYlXr8r4edk0IOiNI7rblgF2SmqPpDFLr
gPuDWsl5mwKwKn40ZYdIKNVV4Dt0PhYHTbRHSjji21mahD6Tb7Y=
=KBCn
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#34056; Package guix-patches. Full text available.

Message received at 34056 <at> debbugs.gnu.org:


Received: (at 34056) by debbugs.gnu.org; 13 Jan 2019 17:16:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 13 12:16:21 2019
Received: from localhost ([127.0.0.1]:58054 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gijMy-0001xQ-UG
	for submit <at> debbugs.gnu.org; Sun, 13 Jan 2019 12:16:21 -0500
Received: from flashner.co.il ([178.62.234.194]:38974)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1gijMv-0001xB-4B
 for 34056 <at> debbugs.gnu.org; Sun, 13 Jan 2019 12:16:17 -0500
Received: from localhost (unknown [188.120.128.87])
 by flashner.co.il (Postfix) with ESMTPSA id 64D3840007;
 Sun, 13 Jan 2019 17:16:11 +0000 (UTC)
Date: Sun, 13 Jan 2019 19:16:10 +0200
From: Efraim Flashner <efraim@HIDDEN>
To: Eric Bavier <ericbavier@HIDDEN>
Subject: Re: [bug#34056] [PATCH] core-updates -- gnu: python2: Fix test flags.
Message-ID: <20190113171610.GB25281@macbook41>
References: <20190113071850.14337-1-ericbavier@HIDDEN>
 <20190113074859.GB2050@macbook41>
 <20190113102320.543cba28@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="zCKi3GIZzVBPywwA"
Content-Disposition: inline
In-Reply-To: <20190113102320.543cba28@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
User-Agent: Mutt/1.11.0 (2018-11-25)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34056
Cc: 34056 <at> debbugs.gnu.org, Eric Bavier <bavier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--zCKi3GIZzVBPywwA
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Sun, Jan 13, 2019 at 10:23:20AM -0600, Eric Bavier wrote:
> On Sun, 13 Jan 2019 09:48:59 +0200
> Efraim Flashner <efraim@HIDDEN> wrote:
>=20
> > On Sun, Jan 13, 2019 at 01:18:49AM -0600, ericbavier@HIDDEN wr=
ote:
> > > From: Eric Bavier <bavier@HIDDEN>
> > >=20
> > > * gnu/packages/python.scm (python-2.7)[arguments]: 'EXTRATESTOPTS' ->
> > > 'TESTOPTS'.  This overrides the default '-l' argument for memory leak=
 checks
> > > which is not compatible with the -j for parallelism.
> > > ---
> > >  gnu/packages/python.scm | 2 +-
> > >  1 file changed, 1 insertion(+), 1 deletion(-)
> > >=20
> > > diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
> > > index 9b43f465cc..dffded738d 100644
> > > --- a/gnu/packages/python.scm
> > > +++ b/gnu/packages/python.scm
> > > @@ -194,7 +194,7 @@
> > >                              (assoc-ref %outputs "out") "/lib"))
> > >         ;; With no -j argument tests use all available cpus, so provi=
de one.
> > >         #:make-flags
> > > -       (list (format #f "EXTRATESTOPTS=3D-j~d" (parallel-job-count)))
> > > +       (list (format #f "TESTOPTS=3D-j~d" (parallel-job-count)))
> > > =20
> > >          #:modules ((ice-9 ftw) (ice-9 match)
> > >                     (guix build utils) (guix build gnu-build-system))
> > > --=20
> > > 2.20.1
> > >  =20
> >=20
> > I'm building out python2 now on my aarch64 board but I assume it'll
> > work. While I do prefer the parallelism in the test suite, between the
> > two I'd consider the memory leak checks the more important of the two.
> >=20
>=20
> Are the memory-leak checks something that we need to worry about in our
> packaging of python2?  Can memory leaks be introduced in the way we
> configure and build our python?  Otherwise I assume that's something
> more interesting to someone developing python itself and not as
> interesting in system CI.  IMHO.

No idea.

> I see I should probably move the comment about this overriding -l from
> the commit message to the code comment.
>=20

Sounds like a good idea :)


--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--zCKi3GIZzVBPywwA
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAlw7clcACgkQQarn3Mo9
g1H5Aw/+PfP68e0wfLIeMp27gv+zelSFdSadj0ipcM5ZaVRDF4F/VfQ7l33MWezr
jfhqLRxG8RGuHr1PWia7QtT417SnhOsD0IgWjLFUq6k34dSEXCUxV4OhSw6sArCs
zoG4RuBr2MfaCkTxZD/9+g5qGk2e//eBDk3AoephMPh9D9WcHHDJgUlYHp0XNOMy
ItAsafitKaSXdL8yT1WsE1DB3R8ls+pHZt1zgo4j8NS6FbqpIqvqPr5oLhYJ7qPw
t9tzgZl/FGO7KxkCRDorNhQn4W7OaSDs/l+psdT2ixue+/2vIJoDJqFG/lh4Ja6d
WuzA++jm1Cj+fd1vRwUllaUZ8cm8GEbz6nvHC1MDBUSONduu2aTArfi/rzr4Xnbj
hDBydzhH7VcAcKMl73sXc9G6mrU4sHASFqDj461EW0FmQkqh3YvrpBN3yDG+BiCa
0JTP+wzgowFXLkXfTCSfn0d2ND9vgkDDGFsP5eNing+s097lQJ4yqKE3CwTpQ7Yl
N/AnWw4qOgE9DqYY3yDauCKrmVV5rqozZ1GheV9qpkPHP6KzkezNvwdWbWi6jXf5
hFqLZheqdAI6o6aGoJ9zSF03nC6md2r/BL8d/Gfho10JzC1r8el50jsTROVpvniM
tJsVwGQc52+7ApcgdVanWkzAkI+XLZmWSg8YO4bAzCULjg6Jilg=
=acPX
-----END PGP SIGNATURE-----

--zCKi3GIZzVBPywwA--




Information forwarded to guix-patches@HIDDEN:
bug#34056; Package guix-patches. Full text available.

Message received at 34056 <at> debbugs.gnu.org:


Received: (at 34056) by debbugs.gnu.org; 13 Jan 2019 16:23:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 13 11:23:39 2019
Received: from localhost ([127.0.0.1]:58043 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1giiXz-0000ld-JQ
	for submit <at> debbugs.gnu.org; Sun, 13 Jan 2019 11:23:39 -0500
Received: from mail.onyx.syn-alias.com ([206.152.134.66]:33158
 helo=smtp.centurylink.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ericbavier@HIDDEN>) id 1giiXx-0000lR-Op
 for 34056 <at> debbugs.gnu.org; Sun, 13 Jan 2019 11:23:38 -0500
DKIM-Signature: v=1; a=rsa-sha1; d=centurylink.net; s=ctl201402;
 c=relaxed/simple; q=dns/txt; i=@centurylink.net; t=1547396612;
 h=From:Subject:Date:To:MIME-Version:Content-Type;
 bh=0L8jtu2vaXbCV5nLjNFzmm4aCzw=;
 b=ixW3ELvZfBRGPRoPFiVvsjv5zd14p/6j0U4JL8FU3FL95h0B+BLq+l0iPMTgkfZN
 Pw2gMl8tuNuQcOWok15oFlsjGqTmulryWY4OjNsw6foSMz+y+bfJImzslrvcYVkf
 MbKdHgJRTvSdjJCPsorUQlPHFj5dR13pllmSODzEjA6Zm/P7ChR41/uuLjMQa2fq
 3oVT++TP+jdou67cB3f4BzyapdbwokcKUiueYdSP1o/kE4NW1W/C8BKEuAbollOY
 qnb9Ran71D5TcPHy8/Bqp7Qj6bHk9hLoFaplCLuDSrx+yHDSP+g7IntMbAhe3PQ3
 w/7T6XOhisGsAS5hyuen/w==;
X_CMAE_Category: , ,
X-CNFS-Analysis: v=2.3 cv=fMFHIqSe c=1 sm=1 tr=0
 a=SYCIrikDCkrhM095wVsMtQ==:117 a=SYCIrikDCkrhM095wVsMtQ==:17
 a=KGjhK52YXX0A:10 a=3JhidrIBZZsA:10 a=zSv6zi-ZgakA:10 a=I_5RNyk1AAAA:8
 a=inoG4m36AAAA:8 a=c9o53HtUpwrWpyLh3wUA:9 a=CjuIK1q_8ugA:10
 a=1WOd-n5YHelZtbJpE3sA:9 a=Eh9yxdLE6B1twWrs3SXz:22 a=_Qgj-RFg6mImvLaOgLPg:22
X-CM-Score: 0
X-Scanned-by: Cloudmark Authority Engine
X-Authed-Username: ZXJpY2JhdmllckBjZW50dXJ5bGluay5uZXQ=
Authentication-Results: smtp01.onyx.dfw.sync.lan
 smtp.user=ericbavier@HIDDEN; auth=pass (LOGIN)
Received: from [97.116.111.197] ([97.116.111.197:56850] helo=localhost)
 by smtp.centurylink.net (envelope-from <ericbavier@HIDDEN>)
 (ecelerity 3.6.25.56547 r(Core:3.6.25.0)) with ESMTPSA
 (cipher=AES256-GCM-SHA384) 
 id 12/D7-01164-3066B3C5; Sun, 13 Jan 2019 11:23:32 -0500
Date: Sun, 13 Jan 2019 10:23:20 -0600
From: Eric Bavier <ericbavier@HIDDEN>
To: Efraim Flashner <efraim@HIDDEN>
Subject: Re: [bug#34056] [PATCH] core-updates -- gnu: python2: Fix test flags.
Message-ID: <20190113102320.543cba28@HIDDEN>
In-Reply-To: <20190113074859.GB2050@macbook41>
References: <20190113071850.14337-1-ericbavier@HIDDEN>
 <20190113074859.GB2050@macbook41>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 boundary="Sig_/UWI5vYBAeZ.Mio42RpUUOLl"; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34056
Cc: 34056 <at> debbugs.gnu.org, Eric Bavier <bavier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--Sig_/UWI5vYBAeZ.Mio42RpUUOLl
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

On Sun, 13 Jan 2019 09:48:59 +0200
Efraim Flashner <efraim@HIDDEN> wrote:

> On Sun, Jan 13, 2019 at 01:18:49AM -0600, ericbavier@HIDDEN wrot=
e:
> > From: Eric Bavier <bavier@HIDDEN>
> >=20
> > * gnu/packages/python.scm (python-2.7)[arguments]: 'EXTRATESTOPTS' ->
> > 'TESTOPTS'.  This overrides the default '-l' argument for memory leak c=
hecks
> > which is not compatible with the -j for parallelism.
> > ---
> >  gnu/packages/python.scm | 2 +-
> >  1 file changed, 1 insertion(+), 1 deletion(-)
> >=20
> > diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
> > index 9b43f465cc..dffded738d 100644
> > --- a/gnu/packages/python.scm
> > +++ b/gnu/packages/python.scm
> > @@ -194,7 +194,7 @@
> >                              (assoc-ref %outputs "out") "/lib"))
> >         ;; With no -j argument tests use all available cpus, so provide=
 one.
> >         #:make-flags
> > -       (list (format #f "EXTRATESTOPTS=3D-j~d" (parallel-job-count)))
> > +       (list (format #f "TESTOPTS=3D-j~d" (parallel-job-count)))
> > =20
> >          #:modules ((ice-9 ftw) (ice-9 match)
> >                     (guix build utils) (guix build gnu-build-system))
> > --=20
> > 2.20.1
> >  =20
>=20
> I'm building out python2 now on my aarch64 board but I assume it'll
> work. While I do prefer the parallelism in the test suite, between the
> two I'd consider the memory leak checks the more important of the two.
>=20

Are the memory-leak checks something that we need to worry about in our
packaging of python2?  Can memory leaks be introduced in the way we
configure and build our python?  Otherwise I assume that's something
more interesting to someone developing python itself and not as
interesting in system CI.  IMHO.

I see I should probably move the comment about this overriding -l from
the commit message to the code comment.

`~Eric

--Sig_/UWI5vYBAeZ.Mio42RpUUOLl
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEoMXjUi7471xkzbfw/XPKxxnTJWYFAlw7ZfgACgkQ/XPKxxnT
JWaHzw/7BHtgXNhjZanqCInPisZFGyFvAy1WSp+83iQgg5OtsjNm3R8M6W0fRCYH
9ZqC7jYddM52T/Etpv+RCSAfLLZVx2/9anGYMeZ49PjQUcJFm1PTodtotsrJhIFZ
N4xcMA/zMshAne4HlvAwd93YdAYTMGHzinPl9wacZUM8IrxhZHlN394qcd63Y4hc
pJvNkDYm/Kh0QQANRMPZoL/BBk8aGGC4A5+HcpCXZBP3Oe5G//DrdxZTmILXZMmp
kLnMApRiNW0x10WNniCcq2EfUO9aqWr9pGa4nhc2FTEDGRbXxTXEmTVoe8gQaurY
WKVlB08JuTdN57jFf5+Ubs8EKzKiFJAYbmBGi9GPnqwrVr8v3gkgoNEfzZgPJY/V
YeszSk+ZfQB6xNkzbe6QTKl0ej9oCvcahPVUJOKXP0Sab2ki4kq8heGIQUHntTzs
t8DpxEfMHef+hhC0jomOd28F9E6FC2N5QzGAwkhOt2UI+krcE/IErvMLPELgBAhJ
Vs/jZgY0rm9PSP7lsio79iVQVLfbMDEqdd5E4vKB5XsAzoPB8+sekdFhHTH2iXkY
eO8Qvlj7UiHquVB9YrsHx6XsTgvV97Hf2QoPzjS4lBEqMPHRFwCm2wAxWy8VfgpX
PQ6n/4xduZ01LjLFFXLsr0NVzK/DkMlQu5nwvOONDmNczwgaNtE=
=JnpZ
-----END PGP SIGNATURE-----

--Sig_/UWI5vYBAeZ.Mio42RpUUOLl--




Information forwarded to guix-patches@HIDDEN:
bug#34056; Package guix-patches. Full text available.

Message received at 34056 <at> debbugs.gnu.org:


Received: (at 34056) by debbugs.gnu.org; 13 Jan 2019 07:49:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 13 02:49:09 2019
Received: from localhost ([127.0.0.1]:57316 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1giaW5-00033c-4U
	for submit <at> debbugs.gnu.org; Sun, 13 Jan 2019 02:49:09 -0500
Received: from flashner.co.il ([178.62.234.194]:38006)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1giaW3-000333-6A
 for 34056 <at> debbugs.gnu.org; Sun, 13 Jan 2019 02:49:07 -0500
Received: from localhost (unknown [188.120.128.87])
 by flashner.co.il (Postfix) with ESMTPSA id 6C34E400D2;
 Sun, 13 Jan 2019 07:49:00 +0000 (UTC)
Date: Sun, 13 Jan 2019 09:48:59 +0200
From: Efraim Flashner <efraim@HIDDEN>
To: ericbavier@HIDDEN
Subject: Re: [bug#34056] [PATCH] core-updates -- gnu: python2: Fix test flags.
Message-ID: <20190113074859.GB2050@macbook41>
References: <20190113071850.14337-1-ericbavier@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="GID0FwUMdk1T2AWN"
Content-Disposition: inline
In-Reply-To: <20190113071850.14337-1-ericbavier@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
User-Agent: Mutt/1.11.0 (2018-11-25)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34056
Cc: 34056 <at> debbugs.gnu.org, Eric Bavier <bavier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--GID0FwUMdk1T2AWN
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Sun, Jan 13, 2019 at 01:18:49AM -0600, ericbavier@HIDDEN wrote:
> From: Eric Bavier <bavier@HIDDEN>
>=20
> * gnu/packages/python.scm (python-2.7)[arguments]: 'EXTRATESTOPTS' ->
> 'TESTOPTS'.  This overrides the default '-l' argument for memory leak che=
cks
> which is not compatible with the -j for parallelism.
> ---
>  gnu/packages/python.scm | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
>=20
> diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
> index 9b43f465cc..dffded738d 100644
> --- a/gnu/packages/python.scm
> +++ b/gnu/packages/python.scm
> @@ -194,7 +194,7 @@
>                              (assoc-ref %outputs "out") "/lib"))
>         ;; With no -j argument tests use all available cpus, so provide o=
ne.
>         #:make-flags
> -       (list (format #f "EXTRATESTOPTS=3D-j~d" (parallel-job-count)))
> +       (list (format #f "TESTOPTS=3D-j~d" (parallel-job-count)))
> =20
>          #:modules ((ice-9 ftw) (ice-9 match)
>                     (guix build utils) (guix build gnu-build-system))
> --=20
> 2.20.1
>=20

I'm building out python2 now on my aarch64 board but I assume it'll
work. While I do prefer the parallelism in the test suite, between the
two I'd consider the memory leak checks the more important of the two.

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--GID0FwUMdk1T2AWN
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAlw67WYACgkQQarn3Mo9
g1EdRhAArJY3I000F9pJRLUf+vvWhFJlWNosq1ExHRRr4fuGKbE45ZYNLpCAOCLP
OK+Xz490rYEhbXG/4UcIbS1/6rLOCYAQkGL2FSfkiub0zUqp//itXcrv5C1Mrjlp
khPQlhiHSX6QqWet0WLy7Q08inLglevwzcOIx+L67rKsXdGUZ4NsSNhu75UuHbJ5
LpQlBtCnpQ4mJRKjjz9Ih2LUMcUZksJsa2eMRaz8I/VncDefnzn/NpdkZDpcdXYo
QKHyE+hsPxF+U6Fe0QE7ByVsLUOr1jxG0tBLrXKn8YXt0K7IjDP6J1jb8Wc4SySz
uV2GSRtz/4xSFkSgpF1vQa9qfJxSWjjAoVHq5jQp0zIQrIglbPmxTLM+NGa1Q20h
t/yk6pC8SvLhucl9ccxhXWs2RVr+1roTQeMQD/sPUhWDyV+/wLeeJUd6T9sbCgLF
9Fun8oOAnvj2VzoIz4goD5qDgTi1A6VGXc1jVR0XwvT8rifcE3HeFcirxaCxanHV
r6rCKcG355xUioIjHUwTy5swpWmpq4YqmrawLJZiEKGKzqGxE2oj27GEz3mG0bxy
9cMMPTzgvtML/apFzOxPPDdl6OEfuCUeCFr2rVWCFoXFLVcAo8CMHPOn6/gLnBn0
11VATSnlRHnLZ/npDAXUZ9+VcMYNBW8fAW0gs47sMPw6qVZ0DgU=
=FAsP
-----END PGP SIGNATURE-----

--GID0FwUMdk1T2AWN--




Information forwarded to guix-patches@HIDDEN:
bug#34056; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jan 2019 07:19:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 13 02:19:47 2019
Received: from localhost ([127.0.0.1]:57302 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gia3f-0002Ky-6m
	for submit <at> debbugs.gnu.org; Sun, 13 Jan 2019 02:19:47 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55646)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ericbavier@HIDDEN>) id 1gia3d-0002Kh-Ja
 for submit <at> debbugs.gnu.org; Sun, 13 Jan 2019 02:19:46 -0500
Received: from lists.gnu.org ([209.51.188.17]:49635)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <ericbavier@HIDDEN>)
 id 1gia3Y-0007zN-DX
 for submit <at> debbugs.gnu.org; Sun, 13 Jan 2019 02:19:40 -0500
Received: from eggs.gnu.org ([209.51.188.92]:37592)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ericbavier@HIDDEN>) id 1gia3X-00014N-B8
 for guix-patches@HIDDEN; Sun, 13 Jan 2019 02:19:40 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ericbavier@HIDDEN>) id 1gia3W-0007yK-Mu
 for guix-patches@HIDDEN; Sun, 13 Jan 2019 02:19:39 -0500
Received: from mail.onyx.syn-alias.com ([206.152.134.66]:47177
 helo=smtp.centurylink.net)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <ericbavier@HIDDEN>)
 id 1gia3W-0007w4-G8
 for guix-patches@HIDDEN; Sun, 13 Jan 2019 02:19:38 -0500
DKIM-Signature: v=1; a=rsa-sha1; d=centurylink.net; s=ctl201402;
 c=relaxed/simple; q=dns/txt; i=@centurylink.net; t=1547363973;
 h=From:Subject:Date:To:MIME-Version;
 bh=HA1R/mtGl/4qsAoyHvQpGcYCnys=;
 b=ePGNhBH2LGxOO2NqBYGEJvE6UoGem/1rcr5JbISpAYU+q4KjjAiNyTsMHWX5ejne
 diqvOEe4wmVg/MUpMYud7Q7vodPcN/g3ydGGhb6s5h4iamRn+/8B+eYe+3YnD+jf
 K2pN2RPZc7ysJOgw96n28KBeWWFS/hR8RvK3uLiKuRkGKnVNRK/gHS2T7qzbMesB
 fAegxCKH28afshn5MGMT6mlwre+RRM4ShleQ/rDZmyWP3TNX3/n8X8glw3IS6cnR
 oL288lUQjW3PYQqegtsFoV3QXPReKe4CX0ilQaw63E3VZtLy737jpAcMt1USVWFO
 P8lfb4KM/WmqsJ3tJ2YnJg==;
X_CMAE_Category: , ,
X-CNFS-Analysis: v=2.3 cv=VeSJw2h9 c=1 sm=1 tr=0
 a=SYCIrikDCkrhM095wVsMtQ==:117 a=SYCIrikDCkrhM095wVsMtQ==:17
 a=KGjhK52YXX0A:10 a=3JhidrIBZZsA:10 a=zSv6zi-ZgakA:10 a=inoG4m36AAAA:8
 a=bIJ5IekWdzVsuX1IccQA:9 a=_Qgj-RFg6mImvLaOgLPg:22
X-CM-Score: 0
X-Scanned-by: Cloudmark Authority Engine
X-Authed-Username: ZXJpY2JhdmllckBjZW50dXJ5bGluay5uZXQ=
Authentication-Results: smtp04.onyx.dfw.sync.lan
 smtp.user=ericbavier@HIDDEN; auth=pass (LOGIN)
Received: from [97.116.111.197] ([97.116.111.197:56896]
 helo=localhost.localdomain)
 by smtp.centurylink.net (envelope-from <ericbavier@HIDDEN>)
 (ecelerity 3.6.25.56547 r(Core:3.6.25.0)) with ESMTPSA
 (cipher=DHE-RSA-AES128-GCM-SHA256) 
 id 10/FD-17598-586EA3C5; Sun, 13 Jan 2019 02:19:33 -0500
From: ericbavier@HIDDEN
To: guix-patches@HIDDEN
Subject: [PATCH] core-updates -- gnu: python2: Fix test flags.
Date: Sun, 13 Jan 2019 01:18:49 -0600
Message-Id: <20190113071850.14337-1-ericbavier@HIDDEN>
X-Mailer: git-send-email 2.20.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 206.152.134.66
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
Cc: Eric Bavier <bavier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

From: Eric Bavier <bavier@HIDDEN>

* gnu/packages/python.scm (python-2.7)[arguments]: 'EXTRATESTOPTS' ->
'TESTOPTS'.  This overrides the default '-l' argument for memory leak checks
which is not compatible with the -j for parallelism.
---
 gnu/packages/python.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
index 9b43f465cc..dffded738d 100644
--- a/gnu/packages/python.scm
+++ b/gnu/packages/python.scm
@@ -194,7 +194,7 @@
                             (assoc-ref %outputs "out") "/lib"))
        ;; With no -j argument tests use all available cpus, so provide one.
        #:make-flags
-       (list (format #f "EXTRATESTOPTS=-j~d" (parallel-job-count)))
+       (list (format #f "TESTOPTS=-j~d" (parallel-job-count)))
 
         #:modules ((ice-9 ftw) (ice-9 match)
                    (guix build utils) (guix build gnu-build-system))
-- 
2.20.1





Acknowledgement sent to ericbavier@HIDDEN:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#34056; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 22 Jan 2019 01:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.